File hide_py_pckgmgmt.patch of Package aws-cli.2778

--- setup.py.orig
+++ setup.py
@@ -6,17 +6,17 @@ from setuptools import setup, find_packa
 import awscli
 
 
-requires = ['botocore==1.4.28',
-            'colorama>=0.2.5,<=0.3.3',
-            'docutils>=0.10',
-            'rsa>=3.1.2,<=3.5.0',
-            's3transfer==0.0.1']
+#requires = ['botocore==1.4.28',
+#            'colorama>=0.2.5,<=0.3.3',
+#            'docutils>=0.10',
+#            'rsa>=3.1.2,<=3.5.0',
+#            's3transfer==0.0.1']
 
 
-if sys.version_info[:2] == (2, 6):
+#if sys.version_info[:2] == (2, 6):
     # For python2.6 we have to require argparse since it
     # was not in stdlib until 2.7.
-    requires.append('argparse>=1.1')
+#    requires.append('argparse>=1.1')
 
 
 setup_options = dict(
@@ -33,12 +33,12 @@ setup_options = dict(
     package_data={'awscli': ['data/*.json', 'examples/*/*.rst',
                              'examples/*/*/*.rst', 'topics/*.rst',
                              'topics/*.json']},
-    install_requires=requires,
-    extras_require={
-        ':python_version=="2.6"': [
-            'argparse>=1.1',
-        ]
-    },
+#    install_requires=requires,
+#    extras_require={
+#        ':python_version=="2.6"': [
+#            'argparse>=1.1',
+#        ]
+#    },
     license="Apache License 2.0",
     classifiers=(
         'Development Status :: 5 - Production/Stable',
openSUSE Build Service is sponsored by